function First_order_single_rk4

% a simple example to solve ODE's
% Uses fourth order Runge-Kutta to solve
%    dy_dt = -5y







h=0.1;         % time step
t=0:h:70;    % start and end time

n=70/h+1;     % totoal number of discrete time

y(1)=10;      %initial conditions

for j=1:n-1
    
    k1=TestFunction(t(j),y(j));
    k2=TestFunction(t(j)+0.5*h,y(j)+0.5*h*k1);
    k3=TestFunction(t(j)+0.5*h,y(j)+0.5*h*k2);
    k4=TestFunction(t(j)+h,y(j)+h*k3);
    
    y(j+1)=y(j)+1/6*h*(k1+2*k2+2*k3+k4);
    
   
   
end

scatter(t,y,'r*')








%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function [dy_dt]= TestFunction(t,y)

dy_dt = -0.1*y;
return