function First_order_single_ode45

% a simple example to solve ODE's
% Uses ODE45 to solve
%    dy_dt = -5y




%initial conditions
yo= 10;

%timespan
tspan = 0:70;
% tspan=0:5:70;



%%%%%%%%
options=odeset('RelTol',1e-8);
%call the solver

[t,Y] = ode45(@TestFunction,tspan,yo);

%[t,Y] = ode45(@TestFunction,tspan,yo,options);

%plot the results

scatter(t,Y)



% plot the exact solution  y=y(0)*exp(-5t)


Exact_solution=yo*exp(-0.1*t);
hold on
plot(t,Exact_solution,'g')







%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function dy_dt= TestFunction(t,y)

dy_dt = -0.1*y;
return