function Second_order_ode45

% Uses ODE45 to solve a second order ODE_Nonlinear Pendulum
%    d^2 Theta / d t^2  = -sin(Theta)





%initial conditions
% yo=[pi-0.1;0];
yo=[pi/8;0];

%timespan
tspan = 0:0.1:40;


%call the solver
[t,Y] = ode45(@Pendulum,tspan,yo);

%plot the results

plot(t,Y(:,1),'r*')




% plot the exact solution  y=y(0)*exp(-5t)









%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function dy= Pendulum(t,y)

dy=zeros(2,1);

dy(1)=y(2);
dy(2)=-sin(y(1));


return